<?xml version="1.0" encoding="UTF-8"?>
<DataPreview>
  <Templates>

    <PreviewTemplate Id="2" Name="Files" Build="2984">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <ItemName Column="0" Row="0" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="1" ColSpan="2" />

        <Text Column="0" Row="2" Text="${@,core.size}" />
        <Text Column="1" Row="2" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="3" Text="${@,core.attrib}" />
        <Text Column="1" Row="3" Text="${core.attrib}" Style="Bold" />

        <Text Column="0" Row="5" Text="${@,ExtendedProp.datemodify}"/>
        <Text Column="1" Row="5" Text="${ExtendedProp.datemodify}" Style="Bold" />

        <Text Column="0" Row="6" Text="${@,ExtendedProp.datecreate}"/>
        <Text Column="1" Row="6" Text="${ExtendedProp.datecreate}" Style="Bold" />

        <Text Column="0" Row="7" Text="${@,ExtendedProp.dateaccess}"/>
        <Text Column="1" Row="7" Text="${ExtendedProp.dateaccess}" Style="Bold" />

        <Text Column="0" Row="8" Text="${@,NTFSProp.owner}" />
        <Text Column="1" Row="8" Text="${NTFSProp.owner}" Style="Bold" />

        <Text Column="0" Row="9" Text="${@,NTFSProp.access}" />
        <Text Column="1" Row="9" Text="${NTFSProp.access}" Style="Bold" />

        <Text Column="0" Row="10" Text="${@,ExtendedProp.colorrulename}" />
        <Text Column="1" Row="10" Text="${ExtendedProp.colorrulename}" Style="Bold" HideRowIfEmpty="True"/>

      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="3" Name="Folders" Build="2984">
      <Grid>
        <RowDefinitions>
          <RowDefinition Height="Auto" />
          <RowDefinition Height="Auto" />
          <RowDefinition Height="Auto" />
          <RowDefinition Height="Auto" />
          <RowDefinition Height="Auto" />
        </RowDefinitions>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <FolderContent Column="0" Row="0" Margin="0" ColSpan="2" HideRowIfEmpty="True" />

        <ItemName Column="0" Row="1" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="2" ColSpan="2" />

        <Text Column="0" Row="3" Text="${@,core.size}" />
        <Text Column="1" Row="3" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="4" Text="Attributes" />
        <Text Column="1" Row="4" Text="${core.attrib}" Style="Bold" />

        <Text Column="0" Row="5" Text="${@,ExtendedProp.datemodify}"/>
        <Text Column="1" Row="5" Text="${ExtendedProp.datemodify}" Style="Bold" />

        <Text Column="0" Row="6" Text="${@,ExtendedProp.datecreate}"/>
        <Text Column="1" Row="6" Text="${ExtendedProp.datecreate}" Style="Bold" />

        <Text Column="0" Row="7" Text="${@,ExtendedProp.dateaccess}"/>
        <Text Column="1" Row="7" Text="${ExtendedProp.dateaccess}" Style="Bold" />

        <Text Column="0" Row="8" Text="${@,NTFSProp.owner}" />
        <Text Column="1" Row="8" Text="${NTFSProp.owner}" Style="Bold" />

        <Text Column="0" Row="9" Text="${@,NTFSProp.access}" />
        <Text Column="1" Row="9" Text="${NTFSProp.access}" Style="Bold" />

        <Text Column="0" Row="10" Text="${@,ExtendedProp.colorrulename}" />
        <Text Column="1" Row="10" Text="${ExtendedProp.colorrulename}" Style="Bold" HideRowIfEmpty="True"/>

      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="4" Name="Pictures - Thumbnail and image information" Build="2984">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions> 

        <Thumbnail Column="0" Row="0" ColSpan="2" MaxImageWidth="500" MaxImageHeight="500" Margin="0" Style="AlignVCenter,AlignHCenter" CropToSquare="False" />

        <ItemName Column="0" Row="1" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="2" ColSpan="2" />

        <Text Column="0" Row="3" ColSpan="2" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})"/>

        <Text Column="0" Row="4" ColSpan="2" Text="${MCPictureProp.img_dimensions}" />

        <Text Column="0" Row="5" ColSpan="2" Text="${MCPictureProp.fnum} ${MCPictureProp.exposure} ${MCPictureProp.exposurebias}" />

        <Text Column="0" Row="6" Text="File date" />
        <Text Column="1" Row="6" Text="${core.date}" />

        <Text Column="0" Row="7" Text="Picture date"/>
        <Text Column="1" Row="7" Text="${MCPictureProp.date}" HideRowIfEmpty="True"/>

        <Text Column="0" Row="8" Text="${@,MCPictureProp.model}"/>
        <Text Column="1" Row="8" Text="${MCPictureProp.model}" HideRowIfEmpty="True"/>
      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="5" Name="Audio - MP3" Build="2985">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <ItemName Column="0" Row="0" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="1" ColSpan="2" />

        <Text Column="0" Row="2" Text="${@,core.size}" />
        <Text Column="1" Row="2" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="3" Text="${@,core.date}" />
        <Text Column="1" Row="3" Text="${core.date}" Style="Bold" />

        <Text Column="0" Row="4" Text="${@,MCAudioProp.title}" Margin="5,0,5,0" />
        <Text Column="1" Row="4" Text="${MCAudioProp.title}" Style="Bold" HideRowIfEmpty="True"/>

        <Text Column="0" Row="5" Text="${@,MCAudioProp.artist}" Margin="5,0,5,0"/>
        <Text Column="1" Row="5" Text="${MCAudioProp.artist}" Style="Bold" HideRowIfEmpty="True"/>

        <Text Column="0" Row="6" Text="${@,MCAudioProp.album}" Margin="5,0,5,0" />
        <Text Column="1" Row="6" Text="${MCAudioProp.album}" Style="Bold" HideRowIfEmpty="True"/>

        <Text Column="0" Row="7" Text="${@,MCAudioProp.genre}" Margin="5,0,5,0"/>
        <Text Column="1" Row="7" Text="${MCAudioProp.genre}" Style="Bold" HideRowIfEmpty="True"/>

        <Text Column="0" Row="8" Text="${@,MCAudioProp.year}" Margin="5,0,5,0"/>
        <Text Column="1" Row="8" Text="${MCAudioProp.year}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="9" Text="${@,MCAudioProp.track}" Margin="5,0,5,0"/>
        <Text Column="1" Row="9" Text="${MCAudioProp.track}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="10" Text="${@,MCAudioProp.bitrate}" Margin="5,0,5,0"/>
        <Text Column="1" Row="10" Text="${MCAudioProp.bitrate}" Style="Bold" />

        <Text Column="0" Row="11" Text="${@,MCAudioProp.samplerate}" Margin="5,0,5,0"/>
        <Text Column="1" Row="11" Text="${MCAudioProp.samplerate}" Style="Bold" />

        <Text Column="0" Row="12" Text="${@,MCAudioProp.length}" Margin="5,0,5,0"/>
        <Text Column="1" Row="12" Text="${MCAudioProp.length}" Style="Bold" />

        <Button Row="13" Column="1" Text="${#u,300}" Style="Bold" Margin="0,10,5,5" Command="Core.1391"/>

      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="6" Name="Video" Build="2984">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <Thumbnail Column="0" Row="0" ColSpan="2" MaxImageWidth="600" MaxImageHeight="600" Margin="0" Style="AlignVCenter,AlignHCenter" CropToSquare="False" />

        <ItemName Column="0" Row="1" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="2" ColSpan="2" />

        <Text Column="0" Row="3" Text="${@,core.size}" />
        <Text Column="1" Row="3" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="4" Text="${@,core.date}" />
        <Text Column="1" Row="4" Text="${core.date}" Style="Bold" />

        <Text Column="0" Row="5" Text="Codec" Margin="5,0,5,0"/>
        <Text Column="1" Row="5" Text="${MCVideoProp.fourcc}" Style="Bold"/>

        <Text Column="0" Row="6" Text="Resolution" Margin="5,0,5,0"/>
        <Text Column="1" Row="6" Text="${MCVideoProp.framedimension}" Style="Bold" />

        <Text Column="0" Row="7" Text="${@,MCVideoProp.bitrate}" Margin="5,0,5,0"/>
        <Text Column="1" Row="7" Text="${MCVideoProp.bitrate}" Style="Bold" />

        <Text Column="0" Row="8" Text="${@,MCVideoProp.framerate}" Margin="5,0,5,0"/>
        <Text Column="1" Row="8" Text="${MCVideoProp.framerate}" Style="Bold" />

        <Text Column="0" Row="9" Text="${@,MCVideoProp.videolength}" Margin="5,0,5,0"/>
        <Text Column="1" Row="9" Text="${MCVideoProp.videolength}" Style="Bold" />
      </Grid>
    </PreviewTemplate>
    <PreviewTemplate Id="7" Name="Text file">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <FileTextContent Column="0" Row="0" ColSpan="2" TextRows="20" Width="500"/>

        <ItemName Column="0" Row="1" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="2" ColSpan="2" />

        <Text Column="0" Row="4" Text="${@,core.size}" />
        <Text Column="1" Row="4" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="5" Text="${@,core.date}" />
        <Text Column="1" Row="5" Text="${core.date}" Style="Bold" />

        <Text Column="0" Row="6" Text="${@,core.attrib}" />
        <Text Column="1" Row="6" Text="${core.attrib}" Style="Bold" />
      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="8" Name="Windows Preview Handler" Build="2984">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0"/>
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <WindowsPreviewHandler Column="0" Row="0" ColSpan="2" Width="600" Height="600" PanelHeight="*" />

        <Text Column="0" Row="1" Text="${@,core.name}" />
        <Text Column="1" Row="1" Text="${core.name}" Style="Bold" />

        <Text Column="0" Row="2" Text="${@,core.size}" />
        <Text Column="1" Row="2" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold" />

        <Text Column="0" Row="3" Text="${@,core.date}" />
        <Text Column="1" Row="3" Text="${core.date}" Style="Bold" />

        <Text Column="0" Row="4" Text="${@,core.attrib}" />
        <Text Column="1" Row="4" Text="${core.attrib}" Style="Bold" />
        
        <Text Column="0" Row="5" Text="${@,ExtendedProp.lastauthor}" />
        <Text Column="1" Row="5" Text="${ExtendedProp.lastauthor}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="6" Text="${@,ExtendedProp.title}" />
        <Text Column="1" Row="6" Text="${ExtendedProp.title}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="7" Text="${@,ExtendedProp.doccreated}" />
        <Text Column="1" Row="7" Text="${ExtendedProp.doccreated}" Style="Bold" HideRowIfEmpty="True" />
      </Grid>
    </PreviewTemplate>

    <PreviewTemplate Id="9" Name="EXE / DLL Information" Build="2984">
      <Grid>
        <ColumnDefinitions>
          <ColumnDefinition Width="Auto" DefaultMargin="0,0,5,0" />
          <ColumnDefinition Width="Auto" />
        </ColumnDefinitions>

        <ItemName Column="0" Row="0" ColSpan="2" ItemIcon="true" Style="Bold,AlignVCenter" FontSize="125%" />
        <Line Column="0" Row="1" ColSpan="2" />

        <Text Column="0" Row="2" Text="${@,core.size}" />
        <Text Column="1" Row="2" Text="${core.size,num,FormatSizeAuto} (${core.size,num,FormatSizeBytes})" Style="Bold"/>

        <Text Column="0" Row="3" Text="${@,ExtendedProp.datemodify}"/>
        <Text Column="1" Row="3" Text="${ExtendedProp.datemodify}" Style="Bold" />

        <Text Column="0" Row="4" Text="${@,ExtendedProp.datecreate}"/>
        <Text Column="1" Row="4" Text="${ExtendedProp.datecreate}" Style="Bold" />

        <Text Column="0" Row="5" Text="${@,ExtendedProp.dateaccess}"/>
        <Text Column="1" Row="5" Text="${ExtendedProp.dateaccess}" Style="Bold" />

        <Text Column="0" Row="6" Text="${@,core.attrib}" />
        <Text Column="1" Row="6" Text="${core.attrib}" Style="Bold" />

        <Text Column="0" Row="7" Text="${@,ExtendedProp.version}" />
        <Text Column="1" Row="7" Text="${ExtendedProp.version}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="8" Text="${@,ExtendedProp.prodVersion}" />
        <Text Column="1" Row="8" Text="${ExtendedProp.prodVersion}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="9" Text="${@,ExtendedProp.copyright}" />
        <Text Column="1" Row="9" Text="${ExtendedProp.copyright}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="10" Text="${@,ExtendedProp.description}" />
        <Text Column="1" Row="10" Text="${ExtendedProp.description}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="11" Text="${@,ExtendedProp.comment}" />
        <Text Column="1" Row="11" Text="${ExtendedProp.comment}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="12" Text="${@,ExtendedProp.ostype}" />
        <Text Column="1" Row="12" Text="${ExtendedProp.ostype}" Style="Bold" HideRowIfEmpty="True" />

        <Text Column="0" Row="13" Text="${@,NTFSProp.owner}" />
        <Text Column="1" Row="13" Text="${NTFSProp.owner}" Style="Bold" />

        <Text Column="0" Row="14" Text="${@,NTFSProp.access}" />
        <Text Column="1" Row="14" Text="${NTFSProp.access}" Style="Bold" />

        <Text Column="0" Row="15" Text="${@,ExtendedProp.colorrulename}" />
        <Text Column="1" Row="15" Text="${ExtendedProp.colorrulename}" Style="Bold" HideRowIfEmpty="True"/>
      </Grid>
    </PreviewTemplate>

  </Templates>

  <DataPreviewItems>

    <DataPreviewItem Id="20" Name="Pictures" Filter="*.cr2;*.jpg;*.jpeg;*.png;*.bmp;*.ico;*.gif" OnlyFiles="true" TemplateId="4" />

    <DataPreviewItem Id="30" Name="Audio (mp3)" Filter="*.mp3" OnlyFiles="true" TemplateId="5" />

    <DataPreviewItem Id="40" Name="Video" Filter="*.mp4;*.mkv" OnlyFiles="true" TemplateId="6" />

    <DataPreviewItem Id="50" Name="PDF and MS Office files (Require Office installed)" Filter="*.pdf;*.xlsx;*.docx;*.pptx" VerifySupport="WindowsPreviewHandler" OnlyFiles="true" TemplateId="8" />

    <DataPreviewItem Id="60" Name="EXE / Dll file" Filter="*.exe;*.dll" OnlyFiles="true" TemplateId="9" />

    <DataPreviewItem Id="70" Name="Text file" Filter="*.*" VerifySupport="TextFile" OnlyFiles="true" TemplateId="7" />

    <DataPreviewItem Id="80" Name="Files" Filter="*" OnlyFiles="true" TemplateId="2" >
      <!--      <PathFilter Path="C:\MyFolder" Recursive="1" /> -->
    </DataPreviewItem>

    <DataPreviewItem Id="81" Name="Folders" Filter="*" OnlyFolders="true" TemplateId="3" />

    <DataPreviewItem Id="99" Name="Default" Default="true" Filter="*" OnlyFiles="true" TemplateId="2" />
  </DataPreviewItems>
</DataPreview>
